net.minecraft.network.play.server

## Class S18PacketEntityTeleport

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S18PacketEntityTeleport

-     public class S18PacketEntityTeleport
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S18PacketEntityTeleport()`
    `S18PacketEntityTeleport(Entity p_i45233_1_)`
    `S18PacketEntityTeleport(int p_i45234_1_, int p_i45234_2_, int p_i45234_3_, int p_i45234_4_, byte p_i45234_5_, byte p_i45234_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149446_f()`
    `byte` | `func_149447_h()`
    `int` | `func_149448_e()`
    `int` | `func_149449_d()`
    `byte` | `func_149450_g()`
    `int` | `func_149451_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149452_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S18PacketEntityTeleport

          public S18PacketEntityTeleport()

    - #### S18PacketEntityTeleport

          public S18PacketEntityTeleport(Entity p_i45233_1_)

    - #### S18PacketEntityTeleport

          public S18PacketEntityTeleport(int p_i45234_1_,
                                 int p_i45234_2_,
                                 int p_i45234_3_,
                                 int p_i45234_4_,
                                 byte p_i45234_5_,
                                 byte p_i45234_6_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149452_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149451_c

          public int func_149451_c()

    - #### func_149449_d

          public int func_149449_d()

    - #### func_149448_e

          public int func_149448_e()

    - #### func_149446_f

          public int func_149446_f()

    - #### func_149450_g

          public byte func_149450_g()

    - #### func_149447_h

          public byte func_149447_h()